Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::InterfaceSettings Struct Reference

Interface specific settings. More...

`import <Net.idl;`

## Public Attributes
boolean | enabled
| Controls if interface is enabled.
InterfaceIpSettings | ipv4
| Interface specific IPv4 settings.
InterfaceIpSettings | ipv6
| Interface specific IPv6 settings.

## Detailed Description

Interface specific settings.

Definition at line 140 of file Net.idl.

## Member Data Documentation

## ◆ enabled

boolean net::InterfaceSettings::enabled

Controls if interface is enabled.

Definition at line 141 of file Net.idl.

## ◆ ipv4

InterfaceIpSettings net::InterfaceSettings::ipv4

Interface specific IPv4 settings.

Definition at line 142 of file Net.idl.

## ◆ ipv6

InterfaceIpSettings net::InterfaceSettings::ipv6

Interface specific IPv6 settings.

Definition at line 143 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl